Subject: bug#7916: [PATCH] cc-mode does not fontify constructors and destructors with exception specifications

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 26 Feb 2016 16:54:51 +1030

Daniel Colascione <[email-masked]> writes:

> struct foo {
>     foo() throw()  {}
>     ~foo() throw() {}
> };
> struct bar {
>     bar() throw();
>     ~bar() throw();
> }
> struct qux {
>     qux();
>     ~qux() {}
> };
> qux::qux<int>() {
> }
> bar::~bar() throw()
> {}

This seems to be working OK on the Emacs trunk, I think.  Although I'm
not quite sure what I should be looking for.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no